Skip to main content
POST
/
v3
/
enterprise
/
organizations
/
{org_id}
/
members
/
users
/
{user_id}
Assign Organization User
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id}"

payload = { "role_id": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({role_id: '<string>'})
};

fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "email": "<string>",
  "name": "<string>",
  "role_assignments": [
    {
      "role": {
        "role_id": "<string>",
        "role_name": "<string>"
      },
      "org_id": "<string>"
    }
  ],
  "user_id": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
This endpoint assigns a direct organization role to a user. To manage roles through IDP group membership, use the IDP group role management endpoints.

Permissions

Requires a service user with the ManageAccountMembership permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

user_id
string
required

User ID

Body

application/json
role_id
string
required

Response

Successful Response

email
string | null
required
name
string | null
required
role_assignments
RoleAssignment · object[]
required
user_id
string
required